/*
 * MockAccessor.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.mock.accessor;

import jp.co.cybec.cb3.accessor.Accessor;
import jp.co.cybec.cb3.accessor.AccessorsLifeCycle;

/**
 * アクセッサのモック。
 * @author Naoko Sugimoto
 */
public class MockAccessor implements Accessor, AccessorsLifeCycle {

	/** 初期化済みフラグ */
	private boolean initialized = false;
	/** 終了済みフラグ */
	private boolean released = false;

	/**
	 * アクセッサの初期化処理です。
	 * @param key アクセッサのキー
	 */
	public void initialize(String key) {
		initialized = true;
	}

	/**
	 * アクセッサの終了処理です。
	 */
	public void release() {
		released = true;
	}

	/**
	 * アクセッサが初期化されているかどうかを判別します。
	 * @return アクセッサが初期化されている場合はtrue、初期化されていない場合はfalseを返します。
	 */
	public boolean isInitialized() {
		return initialized;
	}

	/**
	 * アクセッサが終了されているかどうかを判別します。
	 * @return アクセッサが終了されている場合はtrue、終了されていない場合はfalseを返します。
	 */
	public boolean isReleased() {
		return released;
	}
}
